Bug 890247 - munin has an incorrect entry in its logrotate files
Summary: munin has an incorrect entry in its logrotate files
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: munin
Version: el5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 890246
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-26 03:25 UTC by manuel wolfshant
Modified: 2013-01-29 20:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 890246
Environment:
Last Closed: 2013-01-20 03:04:15 UTC


Attachments (Terms of Use)

Description manuel wolfshant 2012-12-26 03:25:07 UTC
+++ This bug was initially created as a clone of Bug #890246 +++

Description of problem:
Since munin-2.0.8-3, the logrotate entries contain the following line 
           su root root   
This is not a valid logrotate directive and due to that, logrotate gives the following error
[root@mail ~]# /usr/sbin/logrotate /etc/logrotate.conf
error: munin-node:9 unknown option 'su' -- ignoring line
error: munin-node:9 unexpected text

Version-Release number of selected component (if applicable):
munin-2.0.8-3 and later

How reproducible:
always

Steps to Reproduce:
1. install munin-2.0.8-3 or later
2. run logrotate
3. watch the errors as seen on screen or sent by email

  
Actual results:
[root@mail ~]# /usr/sbin/logrotate /etc/logrotate.conf
error: munin-node:9 unknown option 'su' -- ignoring line
error: munin-node:9 unexpected text


Expected results:
no error message


Additional info:

Comment 1 d. johnson 2012-12-27 05:26:43 UTC
See if this version resolves the issue:

http://kojipkgs.fedoraproject.org/scratch/fenris02/task_4820929/

(Scratch build, it will not be around forever.)

Comment 2 manuel wolfshant 2012-12-27 09:14:02 UTC
Yes, it works fine. Thanks.

Comment 3 Fedora Update System 2013-01-09 19:38:33 UTC
munin-2.0.10-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el5

Comment 4 Fedora Update System 2013-01-09 19:39:38 UTC
munin-2.0.10-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.el6

Comment 5 Fedora Update System 2013-01-09 19:41:33 UTC
munin-2.0.10-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc16

Comment 6 Fedora Update System 2013-01-09 19:42:54 UTC
munin-2.0.10-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc17

Comment 7 Fedora Update System 2013-01-09 19:44:06 UTC
munin-2.0.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/munin-2.0.10-1.fc18

Comment 8 Fedora Update System 2013-01-10 21:32:01 UTC
Package munin-2.0.10-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing munin-2.0.10-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-0593/munin-2.0.10-1.fc18
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2013-01-20 03:04:17 UTC
munin-2.0.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-01-22 03:40:45 UTC
munin-2.0.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-01-23 01:46:11 UTC
munin-2.0.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2013-01-23 01:49:07 UTC
munin-2.0.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2013-01-29 20:05:21 UTC
munin-2.0.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.